Bug 1415282 - [3.3] Hit panic and segment error in atomic-openshift-node log
Summary: [3.3] Hit panic and segment error in atomic-openshift-node log
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 3.3.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.3.1
Assignee: Ben Bennett
QA Contact: Zhang Cheng
URL:
Whiteboard:
Depends On: 1412087
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 18:19 UTC by Scott Dodson
Modified: 2017-01-26 20:43 UTC (History)
11 users (show)

Fixed In Version: atomic-openshift-3.3.1.11-1.git.0.cba037c.el7
Doc Type: Bug Fix
Doc Text:
Cause: Use of a nil pointer. Consequence: OpenShift would panic and generate a segment error. Fix: Check the pointer before dereferencing. Result: OpenShift functions correctly.
Clone Of: 1412087
Environment:
Last Closed: 2017-01-26 20:43:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Origin (Github) 12446 0 None None None 2017-01-20 18:19:16 UTC
Red Hat Product Errata RHBA-2017:0199 0 normal SHIPPED_LIVE OpenShift Container Platform 3.3.1.11 and 3.2.1.23 bug fix update 2017-01-27 01:41:56 UTC

Comment 2 DeShuai Ma 2017-01-22 09:57:52 UTC
Verify on v3.3.1.11, bug is fixed.
Steps: https://bugzilla.redhat.com/show_bug.cgi?id=1412087#c9

Comment 4 errata-xmlrpc 2017-01-26 20:43:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:0199


Note You need to log in before you can comment on or make changes to this bug.